Closed Bug 1481880 Opened Last year Closed Last year

Installation of Thunderbird 60.0 Fails for Windows 7

Categories

(Thunderbird :: Installer, defect, major)

Unspecified
Windows 7
defect
Not set
major

Tracking

(Not tracked)

VERIFIED INVALID

People

(Reporter: david, Unassigned)

Details

Attachments

(1 file)

Configuration:
Windows 7 Ultimate SP1 (x64)
Internet connection and anti-virus both disabled

I downloaded the installer file [Thunderbird Setup 60.0.exe] from <https://ftp.mozilla.org/pub/thunderbird/releases/60.0/win32/en-US/Thunderbird%20Setup%2060.0.exe>.  I also downloaded the SHA512SUMS checksums from <https://ftp.mozilla.org/pub/thunderbird/releases/60.0/SHA512SUMS>.  The checksum comparison was successful.  

I tried twice to install Thunderbird 60.0 from the downloaded installer file.  Both times, I got the attached error popup that falsely indicated I do not have Windows 7.
I disabled my Internet connection and anti-virus application AFTER doing the indicated downloads and after scanning the downloaded file with my anti-virus application.  This is my usual way of installing new software and software updates.  I log the changes to my PC during installation, and I do not want extraneous activities contaminating my logs.
I cannot reproduce with that download, and I am running SP1.  I wonder if something is off with your computer. But I'm not sure what that would be


Semantics, but please become familiar with the definition of critical at https://wiki.mozilla.org/BMO/UserGuide/BugFields#bug_severity
Severity: critical → major
Summary: Installation of Thunderbird 60.0 Fails for Window7 → Installation of Thunderbird 60.0 Fails for Windows 7
I also downloaded the installer file from <https://www.thunderbird.net/en-US/>.  It had the same SHA1 hashcode as the file from <https://ftp.mozilla.org/pub/thunderbird/releases/60.0/SHA512SUMS>.
Today, I tried again and still got the same error popup shown in the attachment.  I enabled my anti-virus application and then my Internet connection.  I selected the OK button on the popup for "additional information."  I got the Web page at <https://www.thunderbird.net/en-US/thunderbird/52.6.0/system-requirements/>, which gives the system requirements for Thunderbird 52.6.0, not 60.0.  

FYI, the file properties of the installer file is 4.42.0.0.
Today, I installed Microsoft's August updates to Windows 7.  Yes, the installation recognized that I indeed have Windows 7.  I still cannot install Thunderbird 60.0.
Something on your computer is making the installer believe it is running on vista OR XP.  I ran the installer on my win7 laptop with compatibility set on the .exe to vista and XP - both time I get what you are seeing.  I bet if you intentionally set properties on the .exe to Windows 7 that it will run fine.
Flags: needinfo?(david)
Aha!  The checkbox in the file profile for the installer was NOT checked.  However, I was trying to install via a logging application that does run in Windows XP compatibility mode.  I changed my process to use the logging application to capture the before-installation state and then exit.  I then successfully installed Thunderbird 60.0 by directly executing the installer myself.  When it was done, I then used the logging application to capture the after-installation state and report the differences.  

While Thunderbird 60.0 indeed was installed and functions, I found that several of my needed extensions did not work.  This was despite having set the preference variable extensions.strictCompatibility to false.  Key among those extensions was the NoGlass theme, which partially worked.  Tool bar buttons customized from the Toolbar Buttons extension disappeared.  In general, the user interface is unacceptable.  I have reverted back to Thunderbird 52.9.1.  

Nevertheless, this bug report is now resolved.
Status: NEW → RESOLVED
Closed: Last year
Flags: needinfo?(david)
Resolution: --- → INVALID
(In reply to David E. Ross from comment #7)

> While Thunderbird 60.0 indeed was installed and functions, I found that
> several of my needed extensions did not work.  This was despite having set
> the preference variable extensions.strictCompatibility to false.  Key among
> those extensions was the NoGlass theme, which partially worked.  Tool bar
> buttons customized from the Toolbar Buttons extension disappeared.  In
> general, the user interface is unacceptable.  I have reverted back to
> Thunderbird 52.9.1.  

strictCompatibility doesn't magically make broken things work, it just causes version checking to be ignored. 
 
I just had a conversation with the author of NoGlass - he started to update but for some reasons isn't currently planning to make an new version available.

I don't see toolbar buttons listed at https://public.etherpad-mozilla.org/p/thunderbird59support-issues
So perhaps for this and other issues you have, you could update that list ... and see https://support.mozilla.org/en-US/kb/new-thunderbird-60#w_some-add-ons-may-not-work for what steps you can take to help everyone and advance the add-ons state for version 60

 
> Nevertheless, this bug report is now resolved.

Thanks for the update
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.